Debian Bug report logs - #527840
Needs to be actively maintained or removed

version graph

Package: xpdf; Maintainer for xpdf is Michael Gilbert <mgilbert@debian.org>; Source for xpdf is src:xpdf.

Reported by: Moritz Muehlenhoff <jmm@debian.org>

Date: Fri, 8 May 2009 21:15:16 UTC

Severity: serious

Fixed in version xpdf/3.02-2

Done: Michael Gilbert <michael.s.gilbert@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, team@security.debian.org, Debian Security Team <team@security.debian.org>, Debian Testing Security Team <secure-testing-team@lists.alioth.debian.org>, Hamish Moffatt <hamish@debian.org>:
Bug#527840; Package xpdf. (Fri, 08 May 2009 21:15:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@debian.org>:
New Bug report received and forwarded. Copy sent to team@security.debian.org, Debian Security Team <team@security.debian.org>, Debian Testing Security Team <secure-testing-team@lists.alioth.debian.org>, Hamish Moffatt <hamish@debian.org>. (Fri, 08 May 2009 21:15:20 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Needs to be actively maintained or removed
Date: Thu, 07 May 2009 22:27:39 +0200
Package: xpdf
Severity: serious

xpdf has seen it's last maintainer upload two years ago. A package
like xpdf with a long-standing track record of security issues
needs an active maintainer.

(An cleanest solution might be to drop xpdf altogether; the
correct way to implement a PDF viewer these days is to build
on top of poppler, such a okular, evince or epdfview.

Cheers,
        Moritz

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.29-1-686 (SMP w/1 CPU core)
Locale: LANG=C, LC_CTYPE=de_DE.ISO-8859-15@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

Versions of packages xpdf depends on:
pn  xpdf-common                   <none>     (no description available)
pn  xpdf-reader                   <none>     (no description available)
pn  xpdf-utils                    <none>     (no description available)

xpdf recommends no packages.

xpdf suggests no packages.




Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#527840; Package xpdf. (Thu, 23 Jul 2009 23:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryo Furue <furue@hawaii.edu>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. (Thu, 23 Jul 2009 23:21:02 GMT) Full text and rfc822 format available.

Message #10 received at 527840@bugs.debian.org (full text, mbox):

From: Ryo Furue <furue@hawaii.edu>
To: 527840@bugs.debian.org
Subject: Re: Needs to be actively maintained or removed
Date: Thu, 23 Jul 2009 13:18:44 -1000 (HST)
Hi

> (An cleanest solution might be to drop xpdf altogether; the
> correct way to implement a PDF viewer these days is to build
> on top of poppler, such a okular, evince or epdfview.

xpdf has been the only PDF viewer that is light enough
to be usable remotely(*).  I wish it's maintained rather
than abandoned.

Ryo
---------------
(*)I log in to my workstation at my workplace from home
and invoke xpdf:  For example,

  home$ ssh -X work.example.com
  . . . log in to "work" . . .
  work$ xpdf mydoc.pdf &
  work$

okular and acroread are so slow that it's utterly
impossible to use remotely.
(I've never used evince or epdfview.)




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#527840; Package xpdf. (Thu, 23 Jul 2009 23:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hamish Moffatt <hamish@debian.org>:
Extra info received and forwarded to list. (Thu, 23 Jul 2009 23:54:02 GMT) Full text and rfc822 format available.

Message #15 received at 527840@bugs.debian.org (full text, mbox):

From: Hamish Moffatt <hamish@debian.org>
To: Ryo Furue <furue@hawaii.edu>, 527840@bugs.debian.org
Subject: Re: Bug#527840: Needs to be actively maintained or removed
Date: Fri, 24 Jul 2009 09:51:34 +1000
On Thu, Jul 23, 2009 at 01:18:44PM -1000, Ryo Furue wrote:
> Hi
> 
> > (An cleanest solution might be to drop xpdf altogether; the
> > correct way to implement a PDF viewer these days is to build
> > on top of poppler, such a okular, evince or epdfview.
> 
> xpdf has been the only PDF viewer that is light enough
> to be usable remotely(*).  I wish it's maintained rather
> than abandoned.
> 
> Ryo
> ---------------
> (*)I log in to my workstation at my workplace from home
> and invoke xpdf:  For example,
> 
>   home$ ssh -X work.example.com
>   . . . log in to "work" . . .
>   work$ xpdf mydoc.pdf &
>   work$
> 
> okular and acroread are so slow that it's utterly
> impossible to use remotely.
> (I've never used evince or epdfview.)

It's available for adoption - #535261.


Hamish
-- 
Hamish Moffatt VK3SB <hamish@debian.org> <hamish@cloud.net.au>




Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#527840; Package xpdf. (Wed, 29 Jul 2009 00:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. (Wed, 29 Jul 2009 00:51:02 GMT) Full text and rfc822 format available.

Message #20 received at 527840@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Ryo Furue <furue@hawaii.edu>
Cc: 527840@bugs.debian.org
Subject: Re: Needs to be actively maintained or removed
Date: Wed, 29 Jul 2009 02:47:51 +0200
On Thu, Jul 23, 2009 at 01:18:44PM -1000, Ryo Furue wrote:
> Hi
> 
> > (An cleanest solution might be to drop xpdf altogether; the
> > correct way to implement a PDF viewer these days is to build
> > on top of poppler, such a okular, evince or epdfview.
> 
> xpdf has been the only PDF viewer that is light enough
> to be usable remotely(*).  I wish it's maintained rather
> than abandoned.
> 
> Ryo
> ---------------
> (*)I log in to my workstation at my workplace from home
> and invoke xpdf:  For example,
> 
>   home$ ssh -X work.example.com
>   . . . log in to "work" . . .
>   work$ xpdf mydoc.pdf &
>   work$
> 
> okular and acroread are so slow that it's utterly
> impossible to use remotely.
> (I've never used evince or epdfview.)

Try epdfview, then. xpdf is a dead end.

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#527840; Package xpdf. (Wed, 29 Jul 2009 01:15:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryo Furue <furue@hawaii.edu>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. (Wed, 29 Jul 2009 01:15:14 GMT) Full text and rfc822 format available.

Message #25 received at 527840@bugs.debian.org (full text, mbox):

From: Ryo Furue <furue@hawaii.edu>
To: jmm@inutil.org
Cc: 527840@bugs.debian.org
Subject: Re: Needs to be actively maintained or removed
Date: Tue, 28 Jul 2009 15:13:39 -1000 (HST)
Hi Moritz,

Thanks for the suggestion.

| > (*)I log in to my workstation at my workplace from home
| > and invoke xpdf:  For example,
| > 
| >   home$ ssh -X work.example.com
| >   . . . log in to "work" . . .
| >   work$ xpdf mydoc.pdf &
| >   work$
| > 
| > okular and acroread are so slow that it's utterly
| > impossible to use remotely.
| > (I've never used evince or epdfview.)
| 
| Try epdfview, then.

Did.  Unfortunately, it was too slow to use remotely.
When the top 2/3 of a page was displayed, for example,
I hit the space bar to see the bottom 1/3 of the page.
It took 5-10 seconds before the rendering was complete.
In the same environment, xpdf takes less than a second.

Evince was as slow as epdfview.

epdfview is an excellent viewer if used
on a local machine.

| xpdf is a dead end.
|
I'm sorry to hear that.  (No, it's not possible
for me to take care of the package, unfortunately.)

Regards,
Ryo




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#527840; Package xpdf. (Wed, 29 Jul 2009 01:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hamish Moffatt <hamish@debian.org>:
Extra info received and forwarded to list. (Wed, 29 Jul 2009 01:33:02 GMT) Full text and rfc822 format available.

Message #30 received at 527840@bugs.debian.org (full text, mbox):

From: Hamish Moffatt <hamish@debian.org>
To: Ryo Furue <furue@hawaii.edu>, 527840@bugs.debian.org
Cc: jmm@inutil.org
Subject: Re: Bug#527840: Needs to be actively maintained or removed
Date: Wed, 29 Jul 2009 11:30:09 +1000
On Tue, Jul 28, 2009 at 03:13:39PM -1000, Ryo Furue wrote:
> Hi Moritz,
> 
> | xpdf is a dead end.
> |
> I'm sorry to hear that.  (No, it's not possible
> for me to take care of the package, unfortunately.)

That's Moritz's observation/opinion rather than Xpdf's author's. 
It's certainly a long time between releases though.

Hamish
-- 
Hamish Moffatt VK3SB <hamish@debian.org> <hamish@cloud.net.au>




Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#527840; Package xpdf. (Thu, 03 Dec 2009 11:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. (Thu, 03 Dec 2009 11:42:05 GMT) Full text and rfc822 format available.

Message #35 received at 527840@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: Hamish Moffatt <hamish@debian.org>, 527840@bugs.debian.org
Cc: Ryo Furue <furue@hawaii.edu>, jmm@inutil.org
Subject: Re: Bug#527840: Needs to be actively maintained or removed
Date: Thu, 3 Dec 2009 09:39:38 -0200
Hi there, Hamish & Co.

On Jul 29 2009, Hamish Moffatt wrote:
> On Tue, Jul 28, 2009 at 03:13:39PM -1000, Ryo Furue wrote:
> > Hi Moritz,
> > 
> > | xpdf is a dead end.
> > |
> > I'm sorry to hear that.  (No, it's not possible
> > for me to take care of the package, unfortunately.)
> 
> That's Moritz's observation/opinion rather than Xpdf's author's. 
> It's certainly a long time between releases though.

I sincerely hope that xpdf is not dead, as the tookits used with other
viewers make things hugely impractical for the very same purpose that
Ryo states.

I also frequently need to log into a remote computer to see PDF
files---and such files can only be viewed on a remote computer, due to
policies of publishers of scientific papers tying the access to an IP
subnet.

And when I am not a the University and have to read a given reference,
my only option is to log in remotely.  Also, the current "modern"
solutions based on poppler seem to have drawbacks (I'm thinking
particularly of evince, which uses cairo and, according to some bugs
upstream, can't use a zoom factor greater than 400% for performance
issues).

I am willing to lend a hand on xpdf, since it is so important for many
users and applications. Team-maintaining it would be best.

Auditing the patches from poppler and seeing if they are relevant to
xpdf would be a good thing, even if xpdf goes into "maintenance mode"
only.


Regards, Rogério Brito.


-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 1024D/7C2CAEB8
http://rb.doesntexist.org : Packages for LaTeX : algorithms.berlios.de
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br




Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#527840; Package xpdf. (Thu, 03 Dec 2009 21:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. (Thu, 03 Dec 2009 21:33:06 GMT) Full text and rfc822 format available.

Message #40 received at 527840@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Rogério Brito <rbrito@ime.usp.br>
Cc: Hamish Moffatt <hamish@debian.org>, 527840@bugs.debian.org, Ryo Furue <furue@hawaii.edu>
Subject: Re: Bug#527840: Needs to be actively maintained or removed
Date: Thu, 3 Dec 2009 22:29:50 +0100
On Thu, Dec 03, 2009 at 09:39:38AM -0200, Rogério Brito wrote:
> Hi there, Hamish & Co.
> 
> On Jul 29 2009, Hamish Moffatt wrote:
> > On Tue, Jul 28, 2009 at 03:13:39PM -1000, Ryo Furue wrote:
> > > Hi Moritz,
> > > 
> > > | xpdf is a dead end.
> > > |
> > > I'm sorry to hear that.  (No, it's not possible
> > > for me to take care of the package, unfortunately.)
> > 
> > That's Moritz's observation/opinion rather than Xpdf's author's. 
> > It's certainly a long time between releases though.
> 
> I sincerely hope that xpdf is not dead, as the tookits used with other
> viewers make things hugely impractical for the very same purpose that
> Ryo states.

xpdf has been removed from Squeeze at this point.
 
> I also frequently need to log into a remote computer to see PDF
> files---and such files can only be viewed on a remote computer, due to
> policies of publishers of scientific papers tying the access to an IP
> subnet.

That can just as well be done with any other PDF viewer?
 
> And when I am not a the University and have to read a given reference,
> my only option is to log in remotely.  Also, the current "modern"
> solutions based on poppler seem to have drawbacks (I'm thinking
> particularly of evince, which uses cairo and, according to some bugs
> upstream, can't use a zoom factor greater than 400% for performance
> issues).

There are several implementations based on poppler, you should try a
different one, then (or file a bug against evince).
 
> Auditing the patches from poppler and seeing if they are relevant to
> xpdf would be a good thing, even if xpdf goes into "maintenance mode"
> only.

The only really supportable way would be to hack xpdf to link against
poppler, maintaining a separate copy needs to stop for Squeeze.

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#527840; Package xpdf. (Thu, 03 Dec 2009 22:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hamish Moffatt <hamish@debian.org>:
Extra info received and forwarded to list. (Thu, 03 Dec 2009 22:36:06 GMT) Full text and rfc822 format available.

Message #45 received at 527840@bugs.debian.org (full text, mbox):

From: Hamish Moffatt <hamish@debian.org>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: Rogério Brito <rbrito@ime.usp.br>, 527840@bugs.debian.org, Ryo Furue <furue@hawaii.edu>
Subject: Re: Bug#527840: Needs to be actively maintained or removed
Date: Fri, 4 Dec 2009 09:30:17 +1100
On Thu, Dec 03, 2009 at 10:29:50PM +0100, Moritz Muehlenhoff wrote:
> The only really supportable way would be to hack xpdf to link against
> poppler, maintaining a separate copy needs to stop for Squeeze.

I agree in the context of the current maintenance of the Xpdf package,
but if Xpdf was fully maintained I think that's rather unfair to Xpdf
upstream.


Hamish




Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#527840; Package xpdf. (Tue, 08 Dec 2009 01:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. (Tue, 08 Dec 2009 01:03:06 GMT) Full text and rfc822 format available.

Message #50 received at 527840@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: 527840@bugs.debian.org, 527840-submitter@bugs.debian.org
Cc: derekn@foolabs.com
Subject: First shot at updating xpdf
Date: Mon, 7 Dec 2009 22:59:59 -0200
[Message part 1 (text/plain, inline)]
(I'm including Derek in the CC'ies, so that he sees our discussion.
Please, keep everybody in the loop, unless asked otherwise.)

Hi.

I have just made a first-stage update to xpdf, to get it a bit more
flexible to build, maintain etc.

I think that many of the patches in the BTS implement very nice ideas
and they should be pushed forward to upstream. Perhaps we can see a new
release before the end closes?

Anyway, attached is the debdiff between the version currently in
unstable (3.02-1.4+lenny1) and a newer version (3.02-2).

I'm still undecided on the version, since I'm not sure if I will adopt
the package, but I am surely interested in co-maintaining it at least.


Regards, Rogério Brito.

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 1024D/7C2CAEB8
http://rb.doesntexist.org : Packages for LaTeX : algorithms.berlios.de
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br
[xpdf_3.02-1.4+lenny1_3.02-2.patch (text/x-diff, attachment)]

Message sent on to Moritz Muehlenhoff <jmm@debian.org>:
Bug#527840. (Tue, 08 Dec 2009 01:03:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#527840; Package xpdf. (Tue, 08 Dec 2009 19:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. (Tue, 08 Dec 2009 19:42:03 GMT) Full text and rfc822 format available.

Message #58 received at 527840@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Rogério Brito <rbrito@ime.usp.br>, 527840-quiet@bugs.debian.org
Cc: 527840@bugs.debian.org, 527840-submitter@bugs.debian.org, derekn@foolabs.com
Subject: Re: Bug#527840: First shot at updating xpdf
Date: Tue, 8 Dec 2009 20:36:13 +0100
On Mon, Dec 07, 2009 at 10:59:59PM -0200, Rogério Brito wrote:
> (I'm including Derek in the CC'ies, so that he sees our discussion.
> Please, keep everybody in the loop, unless asked otherwise.)
> 
> Hi.
> 
> I have just made a first-stage update to xpdf, to get it a bit more
> flexible to build, maintain etc.
> 
> I think that many of the patches in the BTS implement very nice ideas
> and they should be pushed forward to upstream. Perhaps we can see a new
> release before the end closes?
> 
> Anyway, attached is the debdiff between the version currently in
> unstable (3.02-1.4+lenny1) and a newer version (3.02-2).
> 
> I'm still undecided on the version, since I'm not sure if I will adopt
> the package, but I am surely interested in co-maintaining it at least.

Any new maintainer team needs to commit to prepare/test security updates
for oldstable and stable on a _reliable_ basis. 

An excellent opportunity to demonstrate that commitment is preparing
updated packages for the issues still open in Etch and Lenny:
http://security-tracker.debian.org/tracker/source-package/xpdf

Cheers,
        Moritz




Information stored :
Bug#527840; Package xpdf. (Tue, 08 Dec 2009 19:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and filed, but not forwarded. (Tue, 08 Dec 2009 19:42:06 GMT) Full text and rfc822 format available.

Message sent on to Moritz Muehlenhoff <jmm@debian.org>:
Bug#527840. (Tue, 08 Dec 2009 19:42:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#527840; Package xpdf. (Fri, 11 Dec 2009 19:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Derek B. Noonburg" <derekn@foolabs.com>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. (Fri, 11 Dec 2009 19:45:03 GMT) Full text and rfc822 format available.

Message #71 received at 527840@bugs.debian.org (full text, mbox):

From: "Derek B. Noonburg" <derekn@foolabs.com>
To: Rogério Brito <rbrito@ime.usp.br>
Cc: 527840@bugs.debian.org, 527840-submitter@bugs.debian.org
Subject: Re: First shot at updating xpdf
Date: Fri, 11 Dec 2009 11:36:29 -0800 (PST)
On 2009 Dec 07, Rogério Brito wrote:
> (I'm including Derek in the CC'ies, so that he sees our discussion.
> Please, keep everybody in the loop, unless asked otherwise.)
> 
> Hi.
> 
> I have just made a first-stage update to xpdf, to get it a bit more
> flexible to build, maintain etc.
> 
> I think that many of the patches in the BTS implement very nice ideas
> and they should be pushed forward to upstream. Perhaps we can see a new
> release before the end closes?
> 
> Anyway, attached is the debdiff between the version currently in
> unstable (3.02-1.4+lenny1) and a newer version (3.02-2).
> 
> I'm still undecided on the version, since I'm not sure if I will adopt
> the package, but I am surely interested in co-maintaining it at least.

The patch file you sent looks to be mostly a diff of diffs (a diff of
patch files).  If you can send me the actual current patch files, I'll
take a look.

- Derek





Message sent on to Moritz Muehlenhoff <jmm@debian.org>:
Bug#527840. (Fri, 11 Dec 2009 19:45:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#527840; Package xpdf. (Fri, 11 Dec 2009 21:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. (Fri, 11 Dec 2009 21:45:10 GMT) Full text and rfc822 format available.

Message #79 received at 527840@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: "Derek B. Noonburg" <derekn@foolabs.com>
Cc: 527840@bugs.debian.org, 527840-submitter@bugs.debian.org
Subject: Re: First shot at updating xpdf
Date: Fri, 11 Dec 2009 19:42:36 -0200
Hi, Derek.

First of all, thank you very much for your reply. It is very nice to
have your contack established.

On Dec 11 2009, Derek B. Noonburg wrote:
> On 2009 Dec 07, Rogério Brito wrote:
> > Anyway, attached is the debdiff between the version currently in
> > unstable (3.02-1.4+lenny1) and a newer version (3.02-2).
> 
> The patch file you sent looks to be mostly a diff of diffs (a diff of
> patch files).  If you can send me the actual current patch files, I'll
> take a look.

Yes, an interdiff is a diff between two debian packages and since we
have patches inside our debian tree, those get included.

I'll be sending you the patches for your review and comments in response
to this e-mail.


Regards, Rogério Brito.

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 1024D/7C2CAEB8
http://rb.doesntexist.org : Packages for LaTeX : algorithms.berlios.de
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br




Message sent on to Moritz Muehlenhoff <jmm@debian.org>:
Bug#527840. (Fri, 11 Dec 2009 21:45:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#527840; Package xpdf. (Sat, 12 Dec 2009 05:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. (Sat, 12 Dec 2009 05:57:03 GMT) Full text and rfc822 format available.

Message #87 received at 527840@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: "Derek B. Noonburg" <derekn@foolabs.com>
Cc: 527840@bugs.debian.org
Subject: Re: First shot at updating xpdf
Date: Sat, 12 Dec 2009 03:54:00 -0200
Hi, Derek.

I'll be replying to this message with some of the patches. They seem to
apply fine against your pl4 tree.

Regards, Rogério Brito.

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 1024D/7C2CAEB8
http://rb.doesntexist.org : Packages for LaTeX : algorithms.berlios.de
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br




Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#527840; Package xpdf. (Sat, 12 Dec 2009 05:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. (Sat, 12 Dec 2009 05:57:05 GMT) Full text and rfc822 format available.

Message #92 received at 527840@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: "Derek B. Noonburg" <derekn@foolabs.com>
Cc: 527840@bugs.debian.org
Subject: [PATCH 01] Fix manpage hyphens
Date: Sat, 12 Dec 2009 03:55:45 -0200
[Message part 1 (text/plain, inline)]
This is mostly trivial and fixes manpage hypens.

Regards,

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 1024D/7C2CAEB8
http://rb.doesntexist.org : Packages for LaTeX : algorithms.berlios.de
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br
[80-fix-hypens-in-manpages.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#527840; Package xpdf. (Sat, 12 Dec 2009 06:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. (Sat, 12 Dec 2009 06:00:03 GMT) Full text and rfc822 format available.

Message #97 received at 527840@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: "Derek B. Noonburg" <derekn@foolabs.com>
Cc: 527840@bugs.debian.org
Subject: [PATCH 02] Fix a segmentation fault
Date: Sat, 12 Dec 2009 03:57:35 -0200
[Message part 1 (text/plain, inline)]
This fixes a segmentation fault in the code.

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 1024D/7C2CAEB8
http://rb.doesntexist.org : Packages for LaTeX : algorithms.berlios.de
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br
[fix-462544.dpatch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#527840; Package xpdf. (Sat, 12 Dec 2009 06:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. (Sat, 12 Dec 2009 06:00:05 GMT) Full text and rfc822 format available.

Message #102 received at 527840@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: "Derek B. Noonburg" <derekn@foolabs.com>
Cc: 527840@bugs.debian.org
Subject: [PATCH 03] Another segfault fix
Date: Sat, 12 Dec 2009 03:58:47 -0200
[Message part 1 (text/plain, inline)]
Another segfault fix.

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 1024D/7C2CAEB8
http://rb.doesntexist.org : Packages for LaTeX : algorithms.berlios.de
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br
[fix-437725.dpatch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#527840; Package xpdf. (Sat, 12 Dec 2009 06:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. (Sat, 12 Dec 2009 06:03:06 GMT) Full text and rfc822 format available.

Message #107 received at 527840@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: "Derek B. Noonburg" <derekn@foolabs.com>
Cc: 527840@bugs.debian.org
Subject: [PATCH 04] Another segfault fix
Date: Sat, 12 Dec 2009 03:59:53 -0200
[Message part 1 (text/plain, inline)]
Another segfault fix.

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 1024D/7C2CAEB8
http://rb.doesntexist.org : Packages for LaTeX : algorithms.berlios.de
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br
[fix-479467.dpatch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#527840; Package xpdf. (Sat, 12 Dec 2009 06:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. (Sat, 12 Dec 2009 06:03:08 GMT) Full text and rfc822 format available.

Message #112 received at 527840@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: "Derek B. Noonburg" <derekn@foolabs.com>
Cc: 527840@bugs.debian.org
Subject: [PATCH 05] Encoding of ps files in 64 bit arches
Date: Sat, 12 Dec 2009 04:00:57 -0200
[Message part 1 (text/plain, inline)]
This seems to fix encoding of ps files in 64 bit arches.

Regards,

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 1024D/7C2CAEB8
http://rb.doesntexist.org : Packages for LaTeX : algorithms.berlios.de
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br
[fix-444648.dpatch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#527840; Package xpdf. (Sat, 12 Dec 2009 06:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. (Sat, 12 Dec 2009 06:06:03 GMT) Full text and rfc822 format available.

Message #117 received at 527840@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: "Derek B. Noonburg" <derekn@foolabs.com>
Cc: 527840@bugs.debian.org
Subject: [PATCH 06] A new feature (zoom to height)
Date: Sat, 12 Dec 2009 04:04:41 -0200
[Message part 1 (text/plain, inline)]
This implements a zoom to height, a new feature.

BTW, is there any technical reason why the zoom modes are limited to
400%?

I would certainly like to have higher zoom levels on some of my systems,
especially when I am perusing my LaTeX typeset documents.


Regards,

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 1024D/7C2CAEB8
http://rb.doesntexist.org : Packages for LaTeX : algorithms.berlios.de
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br
[xpdf-zoom-height.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#527840; Package xpdf. (Sat, 12 Dec 2009 06:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. (Sat, 12 Dec 2009 06:09:03 GMT) Full text and rfc822 format available.

Message #122 received at 527840@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: "Derek B. Noonburg" <derekn@foolabs.com>
Cc: 527840@bugs.debian.org
Subject: [PATCH 07] Suppressing annotations from being printed
Date: Sat, 12 Dec 2009 04:07:25 -0200
[Message part 1 (text/plain, inline)]
Hi, Derek.

This patch, written by Bernhard Link, suppresses PDF annotations when
printing files (it is a feature patch). As I think that it is sensible
to have, I'm sending it.


Regards, Rogério Brito.

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 1024D/7C2CAEB8
http://rb.doesntexist.org : Packages for LaTeX : algorithms.berlios.de
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br
[suppressAnnotations.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#527840; Package xpdf. (Sat, 12 Dec 2009 06:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. (Sat, 12 Dec 2009 06:12:03 GMT) Full text and rfc822 format available.

Message #127 received at 527840@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: "Derek B. Noonburg" <derekn@foolabs.com>
Cc: 527840@bugs.debian.org
Subject: [PATCH 08] Feature implementation: choosing even/odd pages to print
Date: Sat, 12 Dec 2009 04:11:09 -0200
[Message part 1 (text/plain, inline)]
This patch may not apply cleanly (especially if it is applied in
conjunction with the suppression of annotations), but it is a very
useful feature to have.

It was coded and submitted by Dmitry E. Oboukhov.


Regards,

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 1024D/7C2CAEB8
http://rb.doesntexist.org : Packages for LaTeX : algorithms.berlios.de
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br
[bug_408502_message_5.mbox (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#527840; Package xpdf. (Sat, 12 Dec 2009 06:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. (Sat, 12 Dec 2009 06:18:03 GMT) Full text and rfc822 format available.

Message #132 received at 527840@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: "Derek B. Noonburg" <derekn@foolabs.com>
Cc: 527840@bugs.debian.org
Subject: Other patches
Date: Sat, 12 Dec 2009 04:17:11 -0200
Hi, Derek.

Well, for the moment, the patches that might be interesting to you are
the ones that I sent.

I do have some others that I would like to send you, but I guess that I
will hold onto them for the time being.

Regarding some programming mistakes, I think that we could probably
schedule a joint session of debugging/stress testing so that we could
run some tools like valgrind, gdb, gcc in its pickiest mode etc. to
catch potential problems.

Also, I have collected some PDF files that give xpdf a hard time (the
"pdf stress test pack"). If you wish, I can put them for download at a
site of mine.

I have some other comments that I would like to send you regarding the
building system of xpdf, but I'm heading to bed.


Thank you very much for your very nice program, Rogério Brito.

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 1024D/7C2CAEB8
http://rb.doesntexist.org : Packages for LaTeX : algorithms.berlios.de
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br




Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#527840; Package xpdf. (Tue, 19 Jan 2010 23:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. (Tue, 19 Jan 2010 23:51:03 GMT) Full text and rfc822 format available.

Message #137 received at 527840@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 527840@bugs.debian.org
Cc: Rogério Brito <rbrito@ime.usp.br>, "Derek B. Noonburg" <derekn@foolabs.com>, Moritz Muehlenhoff <jmm@inutil.org>, Ryo Furue <furue@hawaii.edu>
Subject: Preparing an NMU for xpdf?
Date: Wed, 20 Jan 2010 00:50:25 +0100
[Message part 1 (text/plain, inline)]
Hi there!

I am a happy Xpdf user, for various reasons, the first one being is its
small number of dependencies:

=====
root@gismo:/# apt-get install xpdf
[...]
The following NEW packages will be installed:
  defoma file gsfonts lesstif2 libfreetype6 libice6 libmagic1
  libnewt0.52 libpaper1 libpopt0 libsm6 libt1-5 libx11-6
  libx11-data libxau6 libxcb1 libxdmcp6 libxext6 libxp6 libxpm4 libxt6
  ucf whiptail x11-common xpdf xpdf-common xpdf-reader
  xpdf-utils
0 upgraded, 28 newly installed, 0 to remove and 0 not upgraded.
Need to get 9970kB of archives.
After this operation, 27.0MB of additional disk space will be used.
Do you want to continue [Y/n]? n
Abort.

root@gismo:/# apt-get install epdfview poppler-utils
[...]
The following NEW packages will be installed:
  defoma epdfview file fontconfig fontconfig-config libatk1.0-0
  libavahi-client3 libavahi-common-data libavahi-common3
  libcairo2 libcups2 libdatrie1 libdbus-1-3 libdirectfb-1.2-0
  libfontconfig1 libfreetype6 libglib2.0-0 libgssapi-krb5-2
  libgtk2.0-0 libgtk2.0-common libjasper1 libjpeg62 libk5crypto3
  libkeyutils1 libkrb5-3 libkrb5support0 liblcms1 libmagic1
  libnewt0.52 libopenjpeg2 libpango1.0-0 libpango1.0-common libpcre3
  libpixman-1-0 libpng12-0 libpoppler-glib4 libpoppler5
  libpopt0 libsysfs2 libthai-data libthai0 libtiff4 libts-0.0-0 libx11-6
  libx11-data libxau6 libxcb-render-util0
  libxcb-render0 libxcb1 libxcomposite1 libxcursor1 libxdamage1
  libxdmcp6 libxext6 libxfixes3 libxft2 libxi6 libxinerama1
  libxml2 libxrandr2 libxrender1 poppler-utils shared-mime-info tsconf
  ttf-dejavu-core ucf whiptail
0 upgraded, 67 newly installed, 0 to remove and 0 not upgraded.
Need to get 23.4MB of archives.
After this operation, 66.0MB of additional disk space will be used.
Do you want to continue [Y/n]? n
Abort.

root@gismo:/#
=====

While I agree that on any modern system most of the epdfview
dependencies will be anyway installed, the same is true for Xpdf as
well.  And the 2/3 times I tried to move to epdfview I was quite
unsatisfied (let Evince out from this...).

Anyway, I am now in a situation where either I move away from Xpdf or I
fix the bugs which are blocking CUPS upgrades on my sid:

  http://bugs.debian.org/557885
  http://bugs.debian.org/558020

I was preparing an NMU for #558020 when I discovered an FTBFS bug,
with a patch available in another bug (I have merged the two bugs):

  http://bugs.debian.org/528807
  http://bugs.debian.org/458763

The patch Moritz attached to #458763 is enough for Xpdf to build again.
Thus, my plan would be to upload an NMU that fixes both #458763 and
#558020.  While I was at it, I gave a look at other bugs in the BTS and
found that #495150, #551544 and #515495 can be easily included as well.

Rogério, should I go ahead with the NMU or a new upload is expected
really soon?  Or, better, would you like to prepare an NMU for the bugs
above based on your debian/changelog?  I will be happy to sponsor it, if
needed.

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#527840; Package xpdf. (Sat, 23 Jan 2010 22:12:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. (Sat, 23 Jan 2010 22:12:15 GMT) Full text and rfc822 format available.

Message #142 received at 527840@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: Luca Capello <luca@pca.it>
Cc: 527840@bugs.debian.org, "Derek B. Noonburg" <derekn@foolabs.com>, Andrea Gasparini <gaspa@yattaweb.it>, Andy Price <andy@andrewprice.me.uk>, Giuseppe Iuculano <giuseppe@iuculano.it>, Ilya Barygin <barygin@gmail.com>, Michael Bienia <geser@ubuntu.com>, Moritz Muehlenhoff <jmm@inutil.org>, Ryo Furue <furue@hawaii.edu>, Till Kamppeter <till.kamppeter@gmail.com>
Subject: Re: Preparing an NMU for xpdf?
Date: Sat, 23 Jan 2010 20:06:38 -0200
Hi, Luca and others.

(I'm CC'ing some people that have touched xpdf in the recent past).

I've been a bit sick during the beginning of this year and I still have
to clear my queue of tasks of the beginning of the year. That was the
reason why I had not yet updated things.


On Jan 20 2010, Luca Capello wrote:
> I am a happy Xpdf user, for various reasons, the first one being is its
> small number of dependencies:

I am on the same boat, for exactly the same reasons.

> =====
> root@gismo:/# apt-get install xpdf
> [...]
> The following NEW packages will be installed:
>   defoma file gsfonts lesstif2 libfreetype6 libice6 libmagic1

And defoma is scheduled to die. :)

> Anyway, I am now in a situation where either I move away from Xpdf or I
> fix the bugs which are blocking CUPS upgrades on my sid:
> 
>   http://bugs.debian.org/557885
>   http://bugs.debian.org/558020

Right. I'm not bitten by CUPS, since I use lprng+magicfilter, but, of
course, a but is a bug and should be fixed, no matter if it is "big" or
"small".

> I was preparing an NMU for #558020 when I discovered an FTBFS bug,
> with a patch available in another bug (I have merged the two bugs):
> 
>   http://bugs.debian.org/528807
>   http://bugs.debian.org/458763

Right.

> The patch Moritz attached to #458763 is enough for Xpdf to build again.

Nice.

> Thus, my plan would be to upload an NMU that fixes both #458763 and
> #558020.  While I was at it, I gave a look at other bugs in the BTS and
> found that #495150, #551544 and #515495 can be easily included as well.

I included a bunch of patches so far in my own (local) git tree, but I
don't have any git repository that is generally available (I would like
to have one somewhere where I already have an account---I'm starting to
have too many accounts and difficulty in tracking all of them).

Of course, I can upload them to any place, as needed.

> Rogério, should I go ahead with the NMU or a new upload is expected
> really soon?  Or, better, would you like to prepare an NMU for the
> bugs above based on your debian/changelog?  I will be happy to sponsor
> it, if needed.

Since I don't have upload rights, I would welcome a sponsoring. What I
have so far in my git tree is nothing more (or, perhaps, little more)
than what I posted as the debdiff that I send here.

Do you want to work in together on this? I just noticed that Derek
(upstream maintainer) is planning to update xpdf and it would be nice to
have him in the loop and sync our trees.

I will forward him some pdfs that I've collected and that give poppler
or xpdf a hard time.

But, for now, let us fix some bugs that are already known and that have
fixes. I am also interested in joining forces with people from Ubuntu,
Fedora, Suse, Gentoo etc so that we can work together and see xpdf
getting faster improvements.


Regards, Rogério Brito.

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 1024D/7C2CAEB8
http://rb.doesntexist.org : Packages for LaTeX : algorithms.berlios.de
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br




Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#527840; Package xpdf. (Sun, 24 Jan 2010 22:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. (Sun, 24 Jan 2010 22:39:06 GMT) Full text and rfc822 format available.

Message #147 received at 527840@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Luca Capello <luca@pca.it>
Cc: 527840@bugs.debian.org, Rogério Brito <rbrito@ime.usp.br>, "Derek B. Noonburg" <derekn@foolabs.com>, Ryo Furue <furue@hawaii.edu>
Subject: Re: Preparing an NMU for xpdf?
Date: Sun, 24 Jan 2010 23:09:32 +0100
Luca Capello wrote:
> Rogério, should I go ahead with the NMU or a new upload is expected
> really soon?  Or, better, would you like to prepare an NMU for the bugs
> above based on your debian/changelog?  I will be happy to sponsor it, if
> needed.

As said before reintroducing xpdf into Squeeze means that the new maintainer
must commit to prepare and test security updates for oldstable and stable. 

To demonstrate that will the new maintainer(s) should prepare updates for
the issues which are still open in Etch and Lenny.

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#527840; Package xpdf. (Sun, 24 Jan 2010 23:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. (Sun, 24 Jan 2010 23:27:03 GMT) Full text and rfc822 format available.

Message #152 received at 527840@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: Luca Capello <luca@pca.it>, 527840@bugs.debian.org, "Derek B. Noonburg" <derekn@foolabs.com>, Ryo Furue <furue@hawaii.edu>, Andrea Gasparini <gaspa@yattaweb.it>, Andy Price <andy@andrewprice.me.uk>, Giuseppe Iuculano <giuseppe@iuculano.it>, Ilya Barygin <barygin@gmail.com>, Michael Bienia <geser@ubuntu.com>, Till Kamppeter <till.kamppeter@gmail.com>, Hamish Moffatt <hamish@debian.org>
Subject: Re: Preparing an NMU for xpdf?
Date: Sun, 24 Jan 2010 21:25:01 -0200
Hi, Moritz, Luca and others.

On Sun, Jan 24, 2010 at 8:09 PM, Moritz Muehlenhoff <jmm@inutil.org> wrote:
> As said before reintroducing xpdf into Squeeze means that the new maintainer
> must commit to prepare and test security updates for oldstable and stable.

If I understand it correctly, xpdf is not exactly special in this
regard, as any package in Debian should have its security bugs fixed
for the stable versions.

To be honest, I don't really know what a "security" bug is: the way I
see things, any bug is a bug. Today's segmentation faults are tomorrow
"security" bugs, whatever that may mean (e.g., remote exploits,
"unsafe" creation of temporary files etc).

Anyway, I guess that with Derek planning on doing more frequent
updates (as he told me) and with due time, a better understanding of
the program is achieved and collaboration procedures can be
streamlined.

Right now, it is only a duty of Hamish, but I think that it can be
very well shared with him and other people (I, for one, am willing to
lend a hand, as my first shot at an upgrade has shown).

Unfortunately, I am not a Debian Developer and, thus, I would depend
on someone else to help (Luca, Hamish, you, among others's help are
really appreciated regarding that).

> To demonstrate that will the new maintainer(s) should prepare updates for
> the issues which are still open in Etch and Lenny.

I really want to work with people here as a team and collecting
patches for the issues that are already know as well as acting
proactively with Derek with automated testing and static analysis
checks would not only benefit his commercial customers as well as the
whole world.

Of course, it would be nice to hear from Derek about his plans
regarding xpdf and its potential new interface.


Regards, Rogério Brito.

-- 
Rogério Brito : rbrito@{mackenzie,ime.usp}.br : GPG key 1024D/7C2CAEB8
http://www.ime.usp.br/~rbrito : http://meusite.mackenzie.com.br/rbrito
Projects: algorithms.berlios.de : lame.sf.net : vrms.alioth.debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#527840; Package xpdf. (Sun, 07 Feb 2010 02:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. (Sun, 07 Feb 2010 02:21:03 GMT) Full text and rfc822 format available.

Message #157 received at 527840@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 551287@bugs.debian.org, 527840@bugs.debian.org
Subject: re: xpdf: integer overflow and null ptr dereference vulnerabilities
Date: Sat, 6 Feb 2010 21:18:00 -0500
[Message part 1 (text/plain, inline)]
hi,

i've built packages that address the open xpdf issues [0].  the planned
nmu for unstable is attached.

i can assist with xpdf security updates in the future.

mike

[0] http://alioth.debian.org/~gilbert-guest/xpdf/
[xpdf-sid.debdiff (application/octet-stream, attachment)]

Reply sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
You have taken responsibility. (Sun, 04 Apr 2010 09:33:23 GMT) Full text and rfc822 format available.

Notification sent to Moritz Muehlenhoff <jmm@debian.org>:
Bug acknowledged by developer. (Sun, 04 Apr 2010 09:33:23 GMT) Full text and rfc822 format available.

Message #162 received at 527840-close@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 527840-close@bugs.debian.org
Subject: Bug#527840: fixed in xpdf 3.02-2
Date: Sun, 04 Apr 2010 09:26:36 +0000
Source: xpdf
Source-Version: 3.02-2

We believe that the bug you reported is fixed in the latest version of
xpdf, which is due to be installed in the Debian FTP archive:

xpdf-common_3.02-2_all.deb
  to main/x/xpdf/xpdf-common_3.02-2_all.deb
xpdf-reader_3.02-2_amd64.deb
  to main/x/xpdf/xpdf-reader_3.02-2_amd64.deb
xpdf-utils_3.02-2_amd64.deb
  to main/x/xpdf/xpdf-utils_3.02-2_amd64.deb
xpdf_3.02-2.debian.tar.gz
  to main/x/xpdf/xpdf_3.02-2.debian.tar.gz
xpdf_3.02-2.dsc
  to main/x/xpdf/xpdf_3.02-2.dsc
xpdf_3.02-2_all.deb
  to main/x/xpdf/xpdf_3.02-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 527840@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Gilbert <michael.s.gilbert@gmail.com> (supplier of updated xpdf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 02 Apr 2010 17:40:49 -0400
Source: xpdf
Binary: xpdf xpdf-common xpdf-reader xpdf-utils
Architecture: source all amd64
Version: 3.02-2
Distribution: unstable
Urgency: high
Maintainer: Michael Gilbert <michael.s.gilbert@gmail.com>
Changed-By: Michael Gilbert <michael.s.gilbert@gmail.com>
Description: 
 xpdf       - Portable Document Format (PDF) suite
 xpdf-common - Portable Document Format (PDF) suite -- common files
 xpdf-reader - Portable Document Format (PDF) suite -- viewer for X11
 xpdf-utils - Portable Document Format (PDF) suite -- utilities
Closes: 408502 424178 424747 458763 495150 515495 527840 528807 535261 551287 558020 575779
Changes: 
 xpdf (3.02-2) unstable; urgency=high
 .
   [Michael Gilbert]
   * Fix multiple security issues (closes: #551287, #575779).
     - CVE-2009-1188: Integer overflow in the JBIG2 decoding feature in the
       SplashBitmap::SplashBitmap function in SplashBitmap.cc.
     - CVE-2009-3603: Additional integer overflows in the
       SplashBitmap::SplashBitmap function.
     - CVE-2009-3604: Null pointer dereference in the Splash::drawImage
       function in Splash.cc.
     - CVE-2009-3606: Integer overflow in the PSOutputDev::doImageL1Sep
       function in PSOutputDev.cc.
     - CVE-2009-3608: Integer overflow in the ObjectStream::ObjectStream
       function in XRef.cc.
     - CVE-2009-3609: Integer overflow in the ImageStream::ImageStream
       function in Stream.cc.
   * Bump standards version to 3.8.4 (no changes required).
   * Use ${misc:Depends}.
   * Adopt the package (closes: #535261, #527840).
 .
   [Rogério Brito]
   * debian/copyright:
     + include versioned link to the GPL.
   * debian/*
     + convert to source format "3.0 (quilt)".
   * debian/{control,compat}:
     + bump compat to 5.
   * debian/control:
     + remove dpatch build-dep and calls in debian/rules.
     + include Homepage field.
     + build-depend on unversioned automake.
     + build-depend on versioned lesstif.
     + wrap build-depends line to keep sanity.
     + change build-dependency on x-dev to x11proto-core-dev. (Closes: #515495).
     + remove debian revision from versioned build-deps.
     + update standards-version to 3.8.3, with no extra changes required.
   * debian/rules:
     + remove commented lines.
     + fix the includes for lesstif. (See below).
     + remove deprecated dh_desktop helper.
     + don't ignore errors when calling "make -i distclean".
     + separate configuration from package compilation to keep things tidy.
     + don't remove recursively things that are only files.
   * debian/patches:
     + rename 00list to series.
     + disable patches 40 and 41, lesstif is fixed. (Closes: #458763, #528807).
     + refresh enabled patches to avoid potential problems with buildds.
     + escape minus signs from manpages.
     + fix path to configuration files. Tks Andrew Price. (Closes: #424747).
     + flexibilize the print dialog. Tks Dmitry Oboukhov. (Closes: #408502).
     + implement "Fit to Height". Tks Josh Triplett. (Closes: #424178).
   * debian/xpdf-common.postint:
     + don't use command with path in maintainer script.
   * debian/watch:
     + create watch file.
   * debian/xpdf.desktop:
     + remove obsolete indication of encoding.
     + remove custom category "PDFViewer".
   * debian/xpdf-reader.menu:
     + update obsolete section Apps -> Applications.
   * debian/xpdf-reader.dirs:
     + remove empty dir usr/lib/menu. Tks Nelson Oliveira. (Closes: #495150).
   * avoid conflict with poppler-utils. Tks Luca Capello. (Closes: #558020).
Checksums-Sha1: 
 607071a95905109f13e39d88a3d802abe265e508 1321 xpdf_3.02-2.dsc
 6b99897cd07f370c9e7e4e4d8d74a03fa4beb805 57073 xpdf_3.02-2.debian.tar.gz
 ca085c742070463e7cbbf27affdc3e44859f66b3 1294 xpdf_3.02-2_all.deb
 942d2a45a6cd70c6d3951049c329032c374cf1e7 68622 xpdf-common_3.02-2_all.deb
 77c8b97a14881bd9f7be8e18184b66437b2eab7c 524810 xpdf-reader_3.02-2_amd64.deb
 bc16ee7750abcde975b8211d012a694cd7834388 2140428 xpdf-utils_3.02-2_amd64.deb
Checksums-Sha256: 
 43862bc71603b126b3c602dac8fb0e490fdb5fc980b51d6002d7391749d5a867 1321 xpdf_3.02-2.dsc
 527042891fde9694688ec218e772e9e78e7f9294986a19e4c2022a7be94c6343 57073 xpdf_3.02-2.debian.tar.gz
 7e330badd3ceab5b125ff37ec92f6ad8f9e4a08ee618d76da5117aea205b8e8b 1294 xpdf_3.02-2_all.deb
 862a6b4105f1f6c32811ee7525c38713f6c56d1bc65fbc499158e403f3e48fb1 68622 xpdf-common_3.02-2_all.deb
 6f9767adcf661ad174e58b7390540a307a6b2cdb14dd63f6dec597c74d879bb4 524810 xpdf-reader_3.02-2_amd64.deb
 bcd2994cad3e16fe788c282a845031fdf5d067a33c6b4d98e62ce0ee224e4ebe 2140428 xpdf-utils_3.02-2_amd64.deb
Files: 
 e36204000e4e06931ca4808c002e6248 1321 text optional xpdf_3.02-2.dsc
 abb34293474707aee36c17f27418b7c8 57073 text optional xpdf_3.02-2.debian.tar.gz
 6f1f9e17b791d2f06fa12c9daad1ee95 1294 text optional xpdf_3.02-2_all.deb
 687e4a1cbc5d3a1a0fe4ce0972fb6792 68622 text optional xpdf-common_3.02-2_all.deb
 1248466dacd12cba1f5a3757484966fb 524810 text optional xpdf-reader_3.02-2_amd64.deb
 1ec0d9c7531e1e734e2254fdc63795ff 2140428 text optional xpdf-utils_3.02-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAku3f2QACgkQHYflSXNkfP/k+QCeKrw6JB+NiXhAOJPlS3KiaAFC
yp8An3a07d6QEolNDZCeqoZEGPIHS288
=MjTQ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 27 Jun 2010 07:36:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:54:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.